/* 
 * EntradaConsulta.java 
 * 15 de feb. de 2017
 * Copyright 2017 TCS.
 * Todos los derechos reservados.
 */
package com.qsoft.wmp.services.xsd;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.qsoft.util.ms.pojo.HeaderMS;
import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * <b> Entrada del servicio web. </b>
 *
 * @author jaime Ruales
 * @version $1.0$
 */
@XmlSeeAlso({HeaderMS.class})
@XmlAccessorType(XmlAccessType.FIELD)
public class EntradaAccion implements Serializable {

    private static final long serialVersionUID = 8142263336233087792L;

    @XmlElement(name = "headerIn")
    @JsonAlias("headerIn")
    private HeaderMS headerIn;

    @XmlElement(name = "bodyIn")
    @JsonAlias("bodyIn")    
    private BodyEntradaAccion bodyIn;

    public EntradaAccion() {
        this.headerIn = new HeaderMS();
        this.bodyIn = new BodyEntradaAccion();
    }

    /**
     * Accesor del campo headerIn
     *
     * @return
     */
    public HeaderMS getHeaderIn() {
        return headerIn;
    }

    /**
     * Modificador del campo headerIn
     *
     * @param headerIn
     */
    public void setHeaderIn(final HeaderMS headerIn) {
        this.headerIn = headerIn;
    }

    /**
     * Accesor del campo bodyIn
     *
     * @return
     */
    public BodyEntradaAccion getBodyIn() {
        return bodyIn;
    }

    /**
     * Modificador del campo bodyIn
     *
     * @param bodyIn
     */
    public void setBodyIn(final BodyEntradaAccion bodyIn) {
        this.bodyIn = bodyIn;
    }

}
